import { PageBody } from '@kit/ui/page';
import { Trans } from '@kit/ui/trans';

import { createI18nServerInstance } from '~/lib/i18n/i18n.server';
import { withI18n } from '~/lib/i18n/with-i18n';

import { HomeLayoutPageHeader } from '../../_components/home-page-header';
import OrderCards from '../../_components/order-cards';

export const generateMetadata = async () => {
  const i18n = await createI18nServerInstance();
  const title = i18n.t('booking:title');

  return {
    title,
  };
};

function BookingPage() {
  return (
    <>
      <HomeLayoutPageHeader
        title={<Trans i18nKey={'booking:title'} />}
        description={<Trans i18nKey={'booking:description'} />}
      />

      <PageBody>
        <OrderCards />
      </PageBody>
    </>
  );
}

export default withI18n(BookingPage);
